import { MouseEventHandler } from "react";
import "./index.less";

interface IProps {
  imgUrl: string;
  title: string;
  styles?: {};
  onClick?: MouseEventHandler;
}

export default function Card(props: IProps) {
  const { imgUrl, title, styles, ...rest } = props;

  return (
    <div className="course-card" {...rest} style={{ ...styles }}>
      <div
        className="cover"
        style={{
          backgroundImage: `url('${imgUrl}')`,
        }}
      >
        <div className="mask">
          <p className="bs ellipsis">{title}</p>
        </div>
      </div>
    </div>
  );
}
